## net.dontdrinkandroot.lastfm.api.queries
Interface UnauthenticatedQuery<T extends java.io.Serializable>

Type Parameters:
  `T` - The return type of the query.

All Superinterfaces:
  Query<T>

All Known Subinterfaces:
  UnauthenticatedGetQuery<T>

All Known Implementing Classes:
  AbstractUnauthenticatedGetQuery

    public interface UnauthenticatedQuery<T extends java.io.Serializable>

extends Query<T>

Denotes a query that does not need authentication.

Author:
  Philip W. Sorst

Method Summary

Methods inherited from interface net.dontdrinkandroot.lastfm.api.queries.Query
`addParameter, getMethod, getParameters, parse`

Copyright © 2012. All Rights Reserved.